package jp.sourceforge.glad.collection.iteration;

import java.util.Map;
import java.util.Map.Entry;

public class MapIterationHandler<K, V>
        extends IterableIterationHandler<Entry<K, V>>
        implements IterationHandler<Entry<K, V>> {

    public MapIterationHandler(Map<K, V> map) {
        super(map.entrySet());
    }

    public MapIterationHandler(Object label, Map<K, V> map) {
        super(label, map.entrySet());
    }

}
